SMAP(1)

NAME
smap - graphically view information about SLURM jobs, partitions, and set configurations parameters.

SYNOPSIS
smap [OPTIONS...]

DESCRIPTION
smap is used to graphically view job, partition and node information for a system running SLURM.

OPTIONS

--help,
    Print a message describing all smap options.

--usage
    Print a brief message listing the smap options.

-D <option>, --display=<option>
    sets the display mode for smap. Showing revelant information about specific views and displaying a corresponding node chart. While in any display a user can switch by typing a different view letter. This is true in all modes except for 'configure mode' user can type 'quit' to exit just configure mode. Typing 'exit' will end the configuration mode and exit smap. Note that unallocated nodes are indicated by a '.' and DOWN or DRAINED nodes by a '#'.

    j   Displays information about jobs running on system.

    s   Displays information about slurm partitions on the system

    b   Displays information about BGL partitions on the system

    c   Displays current node states and allows users to configure the system.

-h, --noheader
    Do not print a header on the output.

-i <seconds> , --iterate=<seconds>
    Print the state on a periodic basis. Sleep for the indicated number of seconds between reports. User can exit at anytime by typing 'q' or hitting the return key. If user is in configure mode type 'exit' to exit program, 'quit' to exit configure mode.

-V , --version
    Print version information and exit.

OUTPUT FIELD DESCRIPTIONS

AVAIL
    Partition state: up or down.

BGL_BLOCK
    BGL Block Name.

CONN
    Connection Type: TORUS or MESH.

ID  Key to identify the nodes associated with this entity in the node chart.

MODE
    Mode Type: COPROCESS or VIRTUAL.

NAME
    Name of the job.

NODELIST
    Names of nodes associated with this configuration/partition.

NODES
    Count of nodes with this particular configuration.

PARTITION
    Name of a partition. Note that the suffix "*" identifies the default partition.

ST  State of a job in compact form. Possible states include: PD (pending), R (running), CG (completing), CD (completed), F (failed), TO (timeout), and NF (node failure). See JOB STATE CODES section below for more information.

STATE
    State of the nodes. Possible states include: down, unknown, idle, allocated, drained, draining, completing and their abbreviated forms: down, unk, idle, alloc, drain, drng, and comp respectively. Note that the suffix "*" identifies nodes that are presently not responding. See NODE STATE CODES section below for more information. TIMELIMIT Maximum time limit for any user job in days:hours:minutes:seconds. infinite is used to identify jobs or partitions without a job time limit.

TOPOGRAPHY INFORMATION

The node chart is designed to indicate relative locations of
    the nodes. On most Linux clusters this will represent a one-dimensional array of nodes. Larger clusters will utilize multiple as needed with right side of one line being logically followed by the left side of the next line.

On Blue Gene systems, the node chart will indicate the three
dimensional topography of the system.
The X dimension will increase from left to right on a given line.
The Y dimension will increase in planes from bottom to top.
The Z dimension will increase within a plane from the back
line to the front line of a plane.
Note the example below:
ID JOBID PARTITION USER   NAME ST TIME NODES NODELIST
a  12345 batch    joseph tst1 R  43:12   64 bgl[000x333]
b  12346 debug    chris  sim3 R  12:34   16 bgl[420x533]
c  12350 debug    danny  job3 R   0:12    8 bgl[622x733]
d  12356 debug    dan    colu R  18:05   16 bgl[600x731]
e  12378 debug    joseph asx4 R   0:34    4 bgl[612x713]
   a a a a b b d d
  a a a a b b d d
 a a a a b b c c
a a a a b b c c
   a a a a b b d d
  a a a a b b d d
 a a a a b b c c
a a a a b b c c
   a a a a . . d d
  a a a a . . d d
 a a a a . . e e              Y
a a a a . . e e               |
                              |
   a a a a . . d d            0----X
  a a a a . . d d            /
 a a a a . . . .            /
a a a a . . . #            Z

CONFIGURATION INSTRUCTIONS

For Admin use. From this screen one can create a configuration file that is used to partition and wire the system into usable blocks.

OUTPUT

BGL_BLOCK BGL Block Name.

CONN
    Connection Type: TORUS or MESH.

ID  Key to identify the nodes associated with this entity in the node chart.

MODE
    Mode Type: COPROCESS or VIRTUAL.

INPUT COMMANDS

CREATE
    Submit request for partition creation. There are two main ways this can be used. Primarily the admin can specify either a size number or on a BGL system a XYZ coord can be given like this 1x1x1. exp: create 8 this will request a creation of 8 meaning a cube of 1x2x4 or 2x2x2 which ever fits into the configuration.
    You can also add options like
    	Connection=TORUS
    	Mode=VIRTUAL
    	Rotate
    	Elongate.
    All command entries are case insensitive.
    There are a few defaults that exist, namely,
    Connection = MESH
    Rotation   = FALSE
    Elongation = FALSE
    Mode       = COPROC

COPY
    Submit request for partition to be copied. There are two main ways this can be used. Primarily the admin can either type 'c' or 'copy' and smap will copy the last entry configured. If you want to copy a specific partition you can specify a particular ID. If a number is placed behind then there will be that many copies made.
    exp: c this will request a copy of the last partition created.
    exp: c A this will request a copy of partition A.
    exp: c A 8 this will request 8 copies of partition A.

DELETE
    Delete last partition created.
    exp: delete this will delete last partition created.

CLEAR ALL
    Clear all partitions created.
    exp: clear all this will clear the entire system.

NODE STATE CODES

Node state codes are shortened as required for the field size. If the node state code is followed by "*", this indicates the node is presently not responding and will not be allocated any new work. If the node remains non-responsive, it will be placed in the DOWN state (except in the case of DRAINED, DRAINING, or COMPLETING nodes).

ALLOCATED
    The node has been allocated to one or more jobs.

COMPLETING
    One or more jobs have been allocated this node and are in the process of COMPLETING. This node state will be removed when all of the job's processes have terminated and the SLURM epilog program (if any) has terminated. See the Epilog parameter description in the slurm.conf man page for more information.

DOWN
    The node is unavailable for use. SLURM can automatically place nodes in this state if some failure occurs. System administrators may also explicitly place nodes in this state. If a node resumes normal operation, SLURM can automatically return it to service. See the ReturnToService and SlurmdTimeout parameter descriptions in the slurm.conf(5) man page for more information.

DRAINED
    The node is unavailable for use per system administrator request. See the update node command in the scontrol(1) man page or the slurm.conf(5) man page for more information.

DRAINING
    The node is currently executing a job, but will not be allocated to additional jobs. The node state will be changed to state DRAINED when the last job on it completes. Nodes enter this state per system administrator request. See the update node command in the scontrol(1) man page or the slurm.conf(5) man page for more information.

IDLE
    The node is not allocated to any jobs and is available for use.

UNKNOWN
    The SLURM controller has just started and the node's state has not yet been determined.

JOB STATE CODES
Jobs typically pass through several states in the course of their execution. The typical states are PENDING, RUNNING, COMPLETING, and COMPLETED. An explanation of each state follows.

CA  CANCELLED
    Job was explicitly cancelled by the user or system administrator. The job may or may not have been initiated.

CD  COMPLETED
    Job has terminated all processes on all nodes.

CG  COMPLETING
    Job is in the process of completing. Some processes on some nodes may still be active.

F   FAILED
    Job terminated with non-zero exit code or other failure condition.

NF  NODE_FAIL
    Job terminated due to failure of one or more allocated nodes.

PD  PENDING
    Job is awaiting resource allocation.

R   RUNNING
    Job currently has an allocation.

TO  TIMEOUT
    Job terminated upon reaching its time limit.

COPYING
Copyright (C) 2004 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), fBsinfo(1), squeue(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3), slurm.conf(5)